@import "../../components/animatewithsass/animate.scss";

* {
  margin: 0;
  padding: 0;
}

.main {
  position: absolute;
  width: 100%;
  height: 100%;
  //background-color: whitesmoke;
  font-family: monospace;
  font-size: 1.3rem;
  letter-spacing: 5px;

  .nav-vertical {
    position: relative;
    width: 40px;
    float: left;
    background-color: black;
    min-height: 100%;
    z-index: 2;
  }

  .menu-panel {
    position: absolute;
    width: 240px;
    left: -240px;
    height: 100%;
    background-color: #4c4e46;
    box-shadow: 0 10px 15px 5px rgba(0, 0, 0, 0.5);
    transition-property: all;
    transition-duration: 0.5s;
    transition-timing-function: cubic-bezier(0, 1, 0.5, 1);
    z-index: 1;

    #list-menu {
      position: relative;
      margin-top: 40%;
      //margin-left: 10%;
      text-transform: capitalize;
      //padding: 40px;
      line-height: 25px;

      ul {
        li {
          list-style-type: none;
          width: 90%;
          margin: 0 auto;
          padding-bottom: 5px;
          text-align: left;
          text-indent: 15%;
          transition: all 0.5s;

          a {
            text-decoration: none;
            color: white;
          }

          &.active {
            background-color: #51aa5a;
            border-radius: 10px 0 10px 0;
            border: 1px solid darkgrey;
            transition: all 0.5s;
            box-shadow: 0 0 5px 1px rgba(255, 255, 255, 0.5);
            text-shadow: 3px 3px 3px black;

            &:hover {
              box-shadow: 0 0 20px 3px rgba(255,255,255,.5);
            }
          }

          &:hover {
            background-color: #54a15b;
            border-radius: 10px 0 10px 0;
            border: 1px solid darkgrey;
            box-shadow: 0px 0px 5px 1px rgba(255, 255, 255, 0.5);
            text-shadow: 3px 3px 3px black;

          }
        }
      }
    }
  }
}

.opened {
  left: 40px !important;
}
/* Icon 1 */

#nav-icon1 {
  width: 25px;
  height: 25px;
  position: relative;
  margin: 15px auto;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: 0.5s ease-in-out;
  -moz-transition: 0.5s ease-in-out;
  -o-transition: 0.5s ease-in-out;
  transition: 0.5s ease-in-out;
  cursor: pointer;

  span {
    display: block;
    position: absolute;
    height: 3px;
    width: 100%;
    background: white;
    border-radius: 9px;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: 0.25s ease-in-out;
    -moz-transition: 0.25s ease-in-out;
    -o-transition: 0.25s ease-in-out;
    transition: 0.25s ease-in-out;
  }
}

#nav-ico2 {
  content: "+";
}

#nav-icon1 span:nth-child(1) {
  top: 0;
}

#nav-icon1 span:nth-child(2),
#nav-icon1 span:nth-child(3) {
  top: 7px;
}

#nav-icon1 span:nth-child(4) {
  top: 14px;
}

#nav-icon1.open span:nth-child(1) {
  top: 18px;
  width: 0;
  left: 50%;
}

#nav-icon1.open span:nth-child(2) {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
}

#nav-icon1.open span:nth-child(3) {
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

#nav-icon1.open span:nth-child(4) {
  top: 18px;
  width: 0;
  left: 50%;
}
